# _rect.h File Reference

`#include <functional>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | rect< T >

## Functions

template<typename T, typename F>
bool | intersect (const rect< T > &r1, const rect< T > &r2, const F &func)
template<typename T>
bool | intersect (const rect< T > &r1, const rect< T > &r2)
template<typename T>
void | set_intersect (rect< T > &rout, const rect< T > &r1, const rect< T > &r2)
template<typename T>
void | set_union (rect< T > &rout, const rect< T > &r1, const rect< T > &r2)

## Function Documentation

template<typename T, typename F>

bool intersect | ( | const rect< T > & | r1,
|  | const rect< T > & | r2,
|  | const F & | func |
| ) |  |  | `[inline]`

Definition at line 113 of file _rect.h.

References rect< T >::maxx, rect< T >::maxy, rect< T >::minx, and rect< T >::miny.

Referenced by intersect().

template<typename T>

bool intersect | ( | const rect< T > & | r1,
|  | const rect< T > & | r2 |
| ) |  |  | `[inline]`

Definition at line 135 of file _rect.h.

References intersect().

template<typename T>

void set_intersect | ( | rect< T > & | rout,
|  | const rect< T > & | r1,
|  | const rect< T > & | r2 |
| ) |  |  | `[inline]`

Definition at line 141 of file _rect.h.

References rect< T >::maxx, rect< T >::maxy, rect< T >::minx, and rect< T >::miny.

template<typename T>

void set_union | ( | rect< T > & | rout,
|  | const rect< T > & | r1,
|  | const rect< T > & | r2 |
| ) |  |  | `[inline]`

Definition at line 151 of file _rect.h.

References rect< T >::maxx, rect< T >::maxy, rect< T >::minx, rect< T >::miny, and rect< T >::set().